//
//	Copyright © 2007 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "Control.h"
#include "TreeCtrlItem.h"

namespace VectorWorks
{
	namespace VWUI
	{
		// ---------------------------------------------------------------------------------------------------------------
		class VWTreeCtrl : public VWControl
		{
		public:
							VWTreeCtrl(TControlID id);
			virtual			~VWTreeCtrl();

			virtual bool	CreateControl(VWDialog* pDlg, short widthInCharacters, short heightInLines=1);

		public:
//			size_t			GetChildItemsCount() const;
//			VWTreeCtrlItem	GetChildItemAt(size_t index) const;
			
			VWTreeCtrlItem	AddChildItem(const TXString& text);
			VWTreeCtrlItem	InsertChildItem(const TXString& text, VWTreeCtrlItem	afterItem);

			VWTreeCtrlItem	GetSelectedItem() const;

		};
	}
}